# BridgeSpec Struct Reference

Struct containing information about a single bridge type. More...

`#include <bridge.h>`

## Data Fields
Year | avail_year
| the year where it becomes available
byte | min_length
| the minimum length (not counting start and end tile)
byte | max_length
| the maximum length (not counting start and end tile)
uint16 | price
| the price multiplier
uint16 | speed
| maximum travel speed
SpriteID | sprite
| the sprite which is used in the GUI
PaletteID | pal
| the palette which is used in the GUI
StringID | material
| the string that contains the bridge description
StringID | transport_name [2]
| description of the bridge, when built for road or rail
PalSpriteID ** | sprite_table
| table of sprites for drawing the bridge
byte | flags
| bit 0 set: disable drawing of far pillars.

## Detailed Description

Struct containing information about a single bridge type.

Definition at line 43 of file bridge.h.

The documentation for this struct was generated from the following file:

- src/bridge.h